#
# spec file for package pantheon-files
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 0
Name:           pantheon-files
Version:        0.3.5
Release:        lp151.3.5
Summary:        Simple file manager from Elementary
License:        GPL-3.0+
Group:          Productivity/File utilities
Url:            https://launchpad.net/pantheon-files
Source:         https://launchpad.net/pantheon-files/0.3.x/%{version}/+download/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM -- Fix vala compiler errors (#262)
Patch0:         pantheon-files-0.3.5-vala-0.4.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(granite) >= 0.4
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:  pkgconfig(libcanberra) >= 0.30
BuildRequires:  pkgconfig(libnotify) >= 0.7.2
BuildRequires:  pkgconfig(pango) >= 1.1.2
#BuildRequires:  pkgconfig(unity) >= 4.0.0 # TODO fix libgee conflicts
BuildRequires:  pkgconfig(plank)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zeitgeist-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Pantheon Files is a modern file manager originally designed for the
Pantheon desktop environment, now used with Elementary OS.

%package -n     lib%{name}-core%{sover}
Summary:        The core library for %{name}
Group:          System/Libraries

%description -n lib%{name}-core%{sover}
Files is a simple file manager from Elementary.

This package contains the shared library used by plugins or for embedding
parts of %{name} into other applications.

%package -n     lib%{name}-widgets%{sover}
Summary:        The core library for %{name}
Group:          System/Libraries

%description -n lib%{name}-widgets%{sover}
Files is a simple file manager from Elementary.

This package contains a shared library containing some of the custom
widgets used by %{name}.

%package -n     lib%{name}-core-devel
Summary:        Core development files for the "Files" file manager
Group:          Development/Libraries/GNOME
Requires:       lib%{name}-core%{sover} = %{version}

%description -n lib%{name}-core-devel
Files is a simple file manager from Elementary.

This package contains the development files for %{name}.

%package -n     lib%{name}-widgets-devel
Summary:        Widget development files for the "Files" file manager
Group:          Development/Libraries/GNOME
Requires:       lib%{name}-widgets%{sover} = %{version}

%description -n lib%{name}-widgets-devel
Files is a simple file manager from Elementary.

This package contains the development files for %{name}.

%lang_package

%prep
%setup -q
%patch0 -p1

find -name \*.pc* -exec sed -i '/libdir/s/\(=\).*\//\1/' {} +

%build
%cmake \
    -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
    -DCMAKE_SKIP_BUILD_RPATH=ON \
    -DGSETTINGS_COMPILE=OFF

make %{?_smp_mflags}

%install
%cmake_install

%suse_update_desktop_file org.pantheon.files
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%post   -n lib%{name}-core%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-core%{sover} -p /sbin/ldconfig
%post   -n lib%{name}-widgets%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-widgets%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING HACKING README
%{_bindir}/%{name}
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-pkexec
%{_libdir}/%{name}/
%{_libdir}/gtk-3.0/modules/libpantheon-filechooser-module.so
%{_datadir}/applications/org.pantheon.files.desktop
%{_datadir}/dbus-1/services/*%{name}*.service
%{_datadir}/glib-2.0/schemas/org.pantheon.files.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/polkit-1/actions/net.launchpad.%{name}.policy
%{_datadir}/appdata/org.pantheon.files.appdata.xml
%dir %{_datadir}/appdata

%files -n lib%{name}-core%{sover}
%defattr(-,root,root)
%{_libdir}/lib%{name}-core.so.*

%files -n lib%{name}-widgets%{sover}
%defattr(-,root,root)
%{_libdir}/lib%{name}-widgets.so.*

%files -n lib%{name}-core-devel
%defattr(-,root,root)
%{_includedir}/%{name}-core/
%{_datadir}/vala/vapi/%{name}-core-C.vapi
%{_datadir}/vala/vapi/%{name}-core.deps
%{_datadir}/vala/vapi/%{name}-core.vapi
%{_libdir}/lib%{name}-core.so
%{_libdir}/pkgconfig/%{name}-core.pc

%files -n lib%{name}-widgets-devel
%defattr(-,root,root)
%{_includedir}/%{name}-widgets/
%{_datadir}/vala/vapi/pantheon-files-widgets.deps
%{_datadir}/vala/vapi/pantheon-files-widgets.vapi
%{_libdir}/lib%{name}-widgets.so
%{_libdir}/pkgconfig/%{name}-widgets.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Mar 24 2018 avvissu@yandex.by
- Fix build with vala >= 0.4 (pantheon-files-0.3.5-vala-0.4.patch)
* Sat Jun  3 2017 avvissu@yandex.by
- Update to 0.3.5:
  * Change FileManager1 service file name
  * Use INVALID_TAB_NAME
  * Ignore invalid tab name; remove redundant code; correct format
  * Fix regressions
  * Sync sidebar cursor and selection when focus shifts with tab
  * Expand category with keyboard
  * Simplify format
  * Handle errors
  * Ensure Files window presented to user when opened through
    FileManager1 interface
  * Partially implement org.freedesktop.FileManager1 service
* Sun May  7 2017 avvissu@yandex.by
- Update to 0.3.4:
  * Base the helper size on the larger of the width and height of
    the image instead of only the width
  * gof-directory-async.vala: Hold dir_cache_lock for the minimum
    time possible
  * Disallow running with sudo and inform user of pkexec
  * Update gof-file unit tests to reflect changes made in r2511
  * Use root location instead of default location as target for
    mounted device and network mount sidebar items
  * Exclude mounts when determining can_bookmark
  * libcore/CMakeLists.txt: add missing granite dependency to
    satisfy CMake 3.8
* Tue Apr 11 2017 avvissu@yandex.by
- Update to 0.3.3:
  * Implement separate is_on_icon () method for IconView
  * Calling present () in the construct clause of
    AbstractPropertiesDialog is unnecessary and causes a terminal
    warning : WARNING 17:17:27.650174] [Gtk]
    gtk_window_set_titlebar() called on a realized window.
  * Fix regression caused by r2522
  * Do not select extension when renaming in ListView and
    ColumnView.
  * Added a flat class to the navigation buttons.
  * Reduce minimum window size to 500 x 300
  * Stop search mode ending if the keyboard layout is changed
    during search. (lp#1668056)
  * Rename .xml.in policy file extension to .policy at build time
    (lp#1666250)
  * Various changes aimed at improving the connection and loading
    of network sites and fixes some possible bugs.
  * A new warning screen is shown if the connection or loading
    operation times out. Pressing reload under these conditions
    unmounts any connection and starts again.
  * GOF.File mount is set to the enclosing_mount when the
    location is not the root location.
  * Do not end name editing when focus is lost
  * tests: implement directory reload test with toggle_ref test
* Sun Feb 26 2017 avvissu@yandex.by
- Update to 0.3.2:
  * Add toggle_ref in create not in init
  * Silence terminal critical warning when tab closes
  * Add toggle ref to the GOFDirectoryAsync on creation instead
    of after initialization, preventing a crash introduced in r2474
  * Set a minimum size for the main window
  * IconRenderer: check for empty colors
  * Remove executable bit from files
  * tests: port GOFFileTests to Vala
  * tests: port GOFDirectoryAsyncTests to Vala
  * filechooser: remember last-folder-uri
  * Fix licensecheck warnings
  * Fix CMakeLists.txt file for UtilTests
  * Mark .desktop file strings as translatable (lp#1661255)
  * Update translation template
  * Restructure unit tests subdirectories
  * IconRenderer.vala:
  * Don't use small helper unless the large size would cover more
    than half the icon
  * Improve the accuracy of detecting when the helper has been
    clicked on
  * Reinstate and improve unit tests using ctest
  * update translation template
  * Fix net.launchpad.pantheon-files.policy.cmake so that the
    strings are translatable
  * gof-directory-async.vala: Do not cache directory until it's
    prepared and loadable to avoid an incorrect key being used in
    some in some cases
  * AbstractDirectoryView.vala: Use an idle to stop two file
    deleted/added signals being received
  * TextRenderer.vala:
  * Override "preferred height for width" to prevent cells being
    too tall
  * Code style
  * Fix race condition caused by fast file operations
  * AbstractDirectoryView.vala: slightly simplify button press
    handling in views
  * AbstractTreeView.vala: Treat blank space as background when
    right clicking
  * Don't treat .desktops as executable
  * Don't change file name for .desktops
  * Remove "interpret-desktop-files" gsetting
  * Re-write the thumbnailer interface in Vala using the newer
    GDBus API instead of dbus-glib-1
  * Re-write marlin-icon-renderer.c in Vala
  * Do not trap Down and Up keys in pathbar; only exit rename
    with unmodified Enter
* Wed Jan 25 2017 avvissu@yandex.by
- Update to 0.3.1.1:
  * Updated translation template
* Tue Jan 17 2017 avvissu@yandex.by
- Update to 0.3.1:
  * Combine the two search modes. Ctrl + F and Type-ahead now do
    the same thing
  * Fix a regression caused by r2421, which fails to perform a
    necessary null check.
  * Add 2017 to license copyright and app years.
  * Correct last modified informal date so it no longer describes
    week old files as last modified today
  * Move ChooseAppDialog.vala to src/Dialogs
  * Move MimeActions.vala to src/Utils
  * Move BreadcrumbsEntry.vala, LocationBar.vala, TopMenu.vala to
    src/View/Widgets
  * AppChooseDialog:
  * Update license header
  * Use GObject-style construction
  * Use Vala-style properties
  * Fix whitespace
  * Create Utils/Permissions.vala
  * Move update_permission_type_buttons in PropertiesWindow.vala
    to update_buttons in PermissionButton.vala
  * Simplify key-press handling and fix a signal loop that occurs
    when in search mode
  * When a folder being viewed is deleted or renamed by another
    application, the view moves to the parent folder if possible,
    otherwise the tab is closed
  * Create Dialogs directory and move files there
  * Move the following to src/View/Widgets:
  * AbstractEditableLabel.vala
  * DiskRenderer.vala
  * MultiLineEditableLabel.vala
  * OverlayBar.vala
  * ProgressInfoWidget.vala
  * SingleLineEditableLabel.vala
  * PropertiesWindow.vala: consolidate build_header_box () into
    construction
  * PropertiesWindow.Vala: Use built-in properties of Gtk.Entry
  * Remove unnecessary XsEntry widget
  * PropertiesWindow.vala: Make l_perm.label monospace so it
    doesn't jump around as it changes
  * Add Widgets/Label.vala and use GObject-style construction
  * update translation template
  * PropertiesWindow.vala:
  * Name the permission buttons so we don't have to do janky get
    stuff to use them
  * organize construct_perm_panel
  * use keylabel
  * Reduce three similar methods to permission_button_toggle
  * Add Widgets/PermissionButton.vala
  * Rewrite ClipboardManager in Vala
  * AbstractPropertiesDialog.vala: Use GObject-style construction
  * Use ngettext pluralization
  * Use "," to separate files an subfolders, like the overlay bar
  * Fix "contains:" label not showing
  * Ensure directory and file variables are not null (lp#1649206)
  * Do not cancel selection update on hover change
  * Fix ownership issue with gof_file_get_display_target_uri and
    pantheon-files-core.vapi
  * SearchResults.vala:
  * Use GIcon instead of pixbuf
  * ProgressUIHandler.vala:
  * Use icon from icon name instead of pixbuf
  * Clean up unused constants
* Sat Dec 17 2016 avvissu@yandex.by
- Update to 0.3.0.5:
  * Launchpad automatic translations update.
  * Pass correct file list to plugins (lp#1412028)
  * Simplify cursor handling so activatable cursor is not used
    outside of single-click mode (lp#1645346)
  * Mark SearchResults class/constructor public to fix build with
    valac >= 0.35
  * Additionally make LocationBar search_results member private.
* Sun Nov 20 2016 jengelh@inai.de
- Summary/description update
* Sat Nov 19 2016 avvissu@yandex.by
- Update to 0.3.0.4:
  * Launchpad automatic translations update.
  * Fix breadcrumb update on column view tab switch
  * Fix FTP write/read permission handling
  * Amend formatting of dates in list view and properties window;
    allow display of properties of trashed files.
  * Remove gtk+-3.0.vapi and use the one shipped with valac 0.34.0
  * Handle no execute permissions gracefully
  * Fix context menu in pathbar edit mode
  * Show protocol name in network view
  * Fix arrow key navigation in icon view
  * Instead of using event.keyval directly, translate
    event.hardware_keycode using the default Gdk.Keymap when
    processing View key press events and then try to match the
    hardware code and level to an ASCII hotkey
  * Updated translation template
* Fri Oct 14 2016 avvissu@yandex.by
- Update to 0.3.0.3.1:
  * Updated translation template
  * Correct drag coords for scrolling in IconView (lp:1623283)
  * Launchpad automatic translations update.
* Sat Sep 10 2016 mailaender@opensuse.org
- update to version 0.3.0.2
* Sat Feb 27 2016 mailaender@opensuse.org
- update to version 0.2.4
- dropped module-path-fix.diff as it is included by upstream
* Sat Jun 20 2015 mailaender@opensuse.org
- update to 0.2.1
- add module-path-fix for lp#1467060
* Sun May 10 2015 mailaender@opensuse.org
- update to 0.2.0
* Sun Jun 15 2014 mailaender@opensuse.org
- initial packaging
